# -*- coding: utf-8 -*-
"""
This module contains classes from the main app used by Pyto.

This module is only for private use. Use the `pyto` API instead.
"""

from rubicon.objc import *

NSBundle = ObjCClass("NSBundle")

def __isMainApp__():
    return (NSBundle.mainBundle.bundleURL.lastPathComponent == "Pyto.app")

def __Class__(name):
    if (__isMainApp__()):
        return ObjCClass("Pyto."+name)
    else:
        return ObjCClass("PytoCore."+name)

PyMainThread = __Class__("PyMainThread")
PyThread = __Class__("PyThread")

PyInputHelper = __Class__("PyInputHelper")
PyOutputHelper = __Class__("PyOutputHelper")
PySharingHelper = __Class__("PySharingHelper")
FilePicker = __Class__("PyFilePicker")
Alert = __Class__("PyAlert")
PyExtensionContext = __Class__("PyExtensionContext")
Python = __Class__("Python")
ConsoleViewController = __Class__("ConsoleViewController")

if (__isMainApp__()):
    ReviewHelper = __Class__("ReviewHelper")
    EditorViewController = __Class__("EditorViewController")
